<template>
  <div class="hello">
    <h1>Hello：{{count}}</h1>
  </div>
</template>

<script>

import{ store, mutations } from "../store/store";

export default {
  name: 'HelloWorld',
  data () {
    return {
      msg: 'Welcome to Your Vue.js App'
    }
  },
  computed:{
    count(){
      return store.count;
    }
  },
  watch:{
    count(newVal,oldVal,){
      console.log(oldVal,newVal);
    }
  }
}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
h1, h2 {
  font-weight: normal;
}
ul {
  list-style-type: none;
  padding: 0;
}
li {
  display: inline-block;
  margin: 0 10px;
}
a {
  color: #42b983;
}
</style>
